Howdy, Stranger!

It looks like you're new here. Sign in or register to get started.

Categories

Dark Dreams of Furiae - a new module for NWN:EE! Buy now
Attention, new and old users! Please read the new rules of conduct for the forums, and we hope you enjoy your stay!

SCS spell description/names issues?

NeoNeo Member Posts: 127
I'm unsure where to ask about this. I tend to do a playthrough of BG1 through BG2 (with SoD in between sometimes) and it has happened several time in the past where things happened or I lost some interest in some of my characters and took several months long breaks before resuming my playthrough.

I never used mods before my last playthrough which I started over a year ago. I'm trying to remember what I installed but the main one I can think of was SCS because I wanted to bump the difficulty of the fights, add in the Icewind Dale EE spells and so on. I had no issue with the playthrough and played a little bit here and there this year until this week.

I don't know if it's just a cosmetic issue but I've noticed that a lot of my spells' descriptions now read something like "invalid" with a series of numbers. I roughly remember what many of them do but it still isn't great. The ones I tried still cast when I used them. I think that most spells having this issue were spells from IWD EE (I didn't take the time to check if it was the case for all of them).

I'm confused because I haven't changed anything onto my game since. I haven't added any new mods, haven't installed a new patch or anything. Does anyone know how I should fix it or if I should reinstall the mods somehow? I'm not sure I was liking my party that much anyways so it wouldn't be a huge deal.

Comments

  • ArviaArvia Member, Moderator Posts: 1,922
    edited July 14
    Neo wrote: »
    I'm unsure where to ask about this. I tend to do a playthrough of BG1 through BG2 (with SoD in between sometimes) and it has happened several time in the past where things happened or I lost some interest in some of my characters and took several months long breaks before resuming my playthrough.

    I never used mods before my last playthrough which I started over a year ago. I'm trying to remember what I installed but the main one I can think of was SCS because I wanted to bump the difficulty of the fights, add in the Icewind Dale EE spells and so on. I had no issue with the playthrough and played a little bit here and there this year until this week.

    I don't know if it's just a cosmetic issue but I've noticed that a lot of my spells' descriptions now read something like "invalid" with a series of numbers. I roughly remember what many of them do but it still isn't great. The ones I tried still cast when I used them. I think that most spells having this issue were spells from IWD EE (I didn't take the time to check if it was the case for all of them).

    I'm confused because I haven't changed anything onto my game since. I haven't added any new mods, haven't installed a new patch or anything. Does anyone know how I should fix it or if I should reinstall the mods somehow? I'm not sure I was liking my party that much anyways so it wouldn't be a huge deal.

    Invalid strings happen when you have mod compatibility issues.

    Are you playing on Steam? In this case it could have auto updated to 2.6 and have caused the compatibility issues. Not sure if GOG Galaxy does that, too.

    Also, if you're on Steam or GOG and have SoD, you need Modmerge before installing mods. But in that case it would be odd that you have problems now and didn't have it earlier, just like two interfering mods should have caused those problems right away. The most likely is auto update to 2.6.

  • NeoNeo Member Posts: 127
    Thanks for the reply. Yes I play through Steam with the EE and have SoD as well. I haven't played SoD in a long time but off the top of my memory, I think I was roughly 1/3rd in and I don't recall seeing this issue before. Perhaps it has auto-updated like you wrote. I didn't know they were still making patches this many years after the EE release. I don't remember reading about Modmerge, I'll take a look into it if I have to reinstall the mods (I'm not very experienced with modding but it did work fine through BG1 SCS and the early SoD part).

  • ArviaArvia Member, Moderator Posts: 1,922
    If you're playing on Steam, then it's definitely the update. Patch 2.6 was released in April. There are still some compatibility issues with SCS, until the mod will eventually be updated as well.

    Version 2.5 is permanently available as beta on Steam, so if you want to play with SCS, you might want to use that until SCS is updated for 2.6, but nevertheless you will have to install everything again of course.
    And yes, do look into Modmerge. I don't play BG via Steam myself, but everyone who does, says that Modmerge is a must if you have SoD and want to install mods to BG:EE. You were probably just lucky that you didn't run into problems because of that.

    Neo
Sign In or Register to comment.